using Autofac;
using e_suite.API.Common;
using e_suite.DependencyInjection;
using e_suite.Service.EFlowSync.EflowAPI;
using e_suite.Service.EFlowSync.Repository;

namespace e_suite.Service.EFlowSync;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<EFlowSyncRepository>().As<IEFlowSyncRepository>().InstancePerLifetimeScope();
        builder.RegisterType<EFlowCategories>().As<IEFlowCategories>();
        builder.RegisterType<EFlowSync>().As<IEFlowSync>().InstancePerLifetimeScope();
    }
}